Skip to main content
`Ctrl`+`K`

# skbio.metadata.NumericMetadataColumn.to_dataframe

NumericMetadataColumn.to_dataframe(encode_missing=False)

  Create a pandas dataframe from the metadata column.

  The dataframe will contain exactly one column. The dataframe’s index name (`Index.name`) will match this metadata column’s `id_header`, and the index will contain this metadata column’s IDs. The dataframe’s column name will match this metadata column’s name.

  Parameters:
    encode_missing bool, optional

      Whether to convert missing values (NaNs) back into their original vocabulary (strings) if a missing scheme was used.

  Returns:
    pandas.DataFrame

      Dataframe constructed from the metadata column.

  See also

  `to_series`